Subject: [bug#35456] [PATCH 1/1] guix package: Add 'install', 'remove', and 'upgrade' aliases.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 28 Apr 2019 12:52:19 +0200

Hi!

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> * guix/scripts/install.scm, guix/scripts/remove.scm,
>> guix/scripts/upgrade.scm, tests/guix-package-aliases.sh: New files.
>> * Makefile.am (MODULES, SH_TESTS): Add them.
>> * po/guix/POTFILES.in: Add them.
>> * guix/scripts/package.scm (guix-package): Split with...
>> (guix-package*): ... this.  New procedure.
>> * doc/guix.texi (Invoking guix package): Document them.
>> (Binary Installation, Application Setup, Package Management)
>> (Packages with Multiple Outputs, Package Modules)
>> (X.509 Certificates, Installing Debugging Files): Use 'guix install' in
>> simple examples.
>
> I like it!

Cool!

>> diff --git a/guix/scripts/install.scm b/guix/scripts/install.scm
>> new file mode 100644
>> index 0000000000..611ed1f712
>> --- /dev/null
>> +++ b/guix/scripts/install.scm
> […]
>> +(define (show-help)
>> +  (display (G_ "Usage: guix install [OPTION] PACKAGES...
>> +Install the given PACKAGES.
>> +This is an alias for 'guix package -i'.\n"))
>> +  (display (G_ "
>> +  -p, --profile=PROFILE  use PROFILE instead of the user's default profile"))
>> +  (display (G_ "
>> +      --bootstrap        use the bootstrap Guile to build the profile"))
>
> I have to admit that I never use “--bootstrap”.  You already removed
> many advanced options of “guix package” from this alias.  Would it make
> sense to also remove this one?

It’s used only for tests in fact, where we don’t want to rebuild the
world just to run profile hooks.  Perhaps we could simply remove it from
the ‘--help’ output, WDYT?

> Aside from that it looks good to me.  I expect this to be a very welcome
> change for my colleagues who often typed “guix install” only to correct
> it to “guix package -i” after an error.

Heheh, I guess they’re not the only ones.  :-)

Thanks,
Ludo’.